---
agentTools:
  projectIndex: https://snapvalid.readme.io/llms.txt
---

# Check job status of bulk email list

This endpoint allows you to get the current status of the bulk email list. It returns either 0 which means there is no jobs in the queue Or some integer value which means there are items in the queue.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Status of queue",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://app.snapvalid.com/api/check-queue-progress"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/?api_key=TYdDSzWPrar12XUX4bZRRwLJFIcutSE44JIpwpCXduCIYqwbtHcO62LQ0e3P": {
      "get": {
        "summary": "Check job status of bulk email list",
        "description": "This endpoint allows you to get the current status of the bulk email list. It returns either 0 which means there is no jobs in the queue Or some integer value which means there are items in the queue.",
        "operationId": "getting-started-with-your-api",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"message\": \"No jobs in the queue\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "No jobs in the queue"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location 'https://app.snapvalid.com/api/check-queue-progress?api_key=TYdDSzWPrar12XUX4bZRRwLJFIcutSE44JIpwpCXduCIYqwbtHcO62LQ0e3P'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "6718fccd4b61f4000fef1c62:6718fccd4b61f4000fef1c65"
}
```